%{?mingw_package_header}

%global pkgname proj

Name:          mingw-%{pkgname}
Version:       7.2.0
Release:       %mkrel 1
Summary:       Cartographic projection software (PROJ.4)

Group:         Development/Other
BuildArch:     noarch
License:       MIT
URL:           https://github.com/OSGeo/proj.4
Source0:       https://github.com/OSGeo/PROJ/releases/download/%{version}/%{pkgname}-%{version}.tar.gz
# Ship a pkgconfig file
Patch0:        proj_pkgconfig.patch

BuildRequires: cmake

BuildRequires: mingw32-curl
BuildRequires: mingw64-curl
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw64-gcc
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw32-libtiff
BuildRequires: mingw64-libtiff
BuildRequires: mingw32-sqlite
BuildRequires: mingw64-sqlite

BuildRequires: pkgconfig(sqlite3)
BuildRequires: sqlite3-tools

%description
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw32-%{pkgname}
Summary:       Cartographic projection software (PROJ.4)

Obsoletes:     mingw32-%{pkgname}-static < 6.3.2-3

%description -n mingw32-%{pkgname}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%package -n mingw64-%{pkgname}
Summary:       Cartographic projection software (PROJ.4)

Obsoletes:     mingw64-%{pkgname}-static < 6.3.2-3

%description -n mingw64-%{pkgname}
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_cmake -DBUILD_TESTING=OFF
%mingw_make_build


%install
%mingw_make_install

# Remove unneeded files
rm -r %{buildroot}%{mingw32_datadir}
rm -r %{buildroot}%{mingw64_datadir}


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/libproj_7_2.dll
%{mingw32_bindir}/*.exe
%{mingw32_libdir}/libproj.dll.a
%{mingw32_libdir}/cmake/proj/
%{mingw32_libdir}/cmake/proj4/
%{mingw32_libdir}/pkgconfig/proj.pc
%{mingw32_includedir}/*.h
%{mingw32_includedir}/proj/

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/libproj_7_2.dll
%{mingw64_bindir}/*.exe
%{mingw64_libdir}/libproj.dll.a
%{mingw64_libdir}/cmake/proj/
%{mingw64_libdir}/cmake/proj4/
%{mingw64_libdir}/pkgconfig/proj.pc
%{mingw64_includedir}/*.h
%{mingw64_includedir}/proj/




%changelog
* Wed Nov 18 2020 daviddavid <daviddavid> 7.2.0-1.mga8
+ Revision: 1646993
- new version: 7.2.0

* Sat Sep 26 2020 tv <tv> 6.3.2-2.mga8
+ Revision: 1630336
- rebuild for new mingw stack

* Sun May 24 2020 daviddavid <daviddavid> 6.3.2-1.mga8
+ Revision: 1587231
- new version: 6.3.2

* Thu Mar 12 2020 daviddavid <daviddavid> 6.3.1-1.mga8
+ Revision: 1555670
- new version: 6.3.1

* Sat Feb 29 2020 daviddavid <daviddavid> 6.3.0-1.mga8
+ Revision: 1552240
- new version: 6.3.0

* Sat Feb 15 2020 umeabot <umeabot> 6.1.0-2.mga8
+ Revision: 1527665
- Mageia 8 Mass Rebuild

* Sun Jul 21 2019 daviddavid <daviddavid> 6.1.0-1.mga8
+ Revision: 1423291
- new version: 6.1.0

* Sun Mar 10 2019 daviddavid <daviddavid> 6.0.0-1.mga7
+ Revision: 1373495
- new version: 6.0.0

* Thu Oct 11 2018 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1319518
- new version: 5.2.0

* Thu Sep 20 2018 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1279931
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1239703
- new version: 5.1.0
- now libproj.dll major is 13

* Fri Jun 15 2018 daviddavid <daviddavid> 4.9.3-1.mga7
+ Revision: 1237039
- new version: 4.9.3

* Wed May 11 2016 tv <tv> 4.9.1-1.mga6
+ Revision: 1012802
- new release

* Mon Feb 01 2016 umeabot <umeabot> 4.8.0-4.mga6
+ Revision: 930096
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.8.0-3.mga5
+ Revision: 749306
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.8.0-2.mga5
+ Revision: 682511
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 4.8.0-1.mga4
+ Revision: 547407
- imported package mingw-proj


* Thu Aug 08 2013 Sandro Mani <manisandro@gmail.com> - 4.8.0-1
- Update to 4.8.0
- Remove upstreamed patch
- Also build mingw64 packages
- Add static subpackage
- Modernize spec file

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 4.6.1-8
- Renamed the source package to mingw-proj (#801017)
- Modernize the spec file
- Use mingw macros without leading underscore

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 4.6.1-7
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-4
- Don't remove build executables

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-3
- Updates for Fedora packaging

* Wed Sep 9 2009 David Ludlow <dave@adsllc.com> - 4.6.1-2
- Initial creation of mingw32 package
